# Github Events Module Chart

## TL;DR

## Introduction

## Prerequisites

- Kubernetes 1.19+
- Helm 3.2.0+

## Using the Chart

## Parameters

### Global parameters

| Name                            | Description                                                                                                 | Value                            |
| ------------------------------- | ----------------------------------------------------------------------------------------------------------- | -------------------------------- |
| `global.chartNameOverride`      | Overrides the chart name.                                                                                   | `""`                             |
| `global.releaseNameOverride`    | Overrides the release name.                                                                                 | `""`                             |
| `global.tags`                   | Define common tags for all IAC and app resources generated by this chart.                                   | `{}`                             |
| `global.labels`                 | Define common labels for all IAC and app resources generated by this chart.                                 | `{}`                             |
| `global.annotations`            | Define common annotations for all IAC and app resources generated by this chart.                            | `{}`                             |
| `global.providerConfigRef.name` | Default crossplane provider all resources generated for crossplane.                                         | `crossplane-provider-config-aws` |
| `global.awsAccountId`           | Default aws account id for crossplane aws provider resources. Quotes are important, value must be a string. | `0123456789`                     |
| `global.awsRegion`              | Default aws region for crossplane aws provider resources.                                                   | `us-east-2`                      |
| `global.githubRepoName`         | Github repo name                                                                                            | `gitops-infra-demo`              |
| `global.githubOrg`              | Github Org name                                                                                             | `satish-labs`                    |
| `global.clusterOwner`           | Vcluster owner                                                                                              | `engineer.name`                  |
| `global.argocdNamespace`        | ArgoCD namespace                                                                                            | `infra-argo-cd`                  |
| `global.clusterType`            | K8s cluster type                                                                                            | `vcluster`                       |
| `global.clusterExternalDomain`  | cluster external base domain                                                                                | `infra-aws-eks`                  |
| `global.team`                   | Team name                                                                                                   | `infra`                          |
| `global.environment`            | VCluster environment                                                                                        | `dev`                            |
| `global.ingressClassName`       | Ingress class name for events ingresses                                                                     | `nginx-ingress-external`         |
| `global.eventSourceServicePort` | Event Source port number to use                                                                             | `11000`                          |
| `global.secretStoreRef`         | External secrets cluster secret store name                                                                  | `cluster-secret-store-aws`       |


## Configuration and installation details


## Troubleshooting


## Notable changes
